# Даны два прямоугольника, стороны которых параллельны или перпендикулярны осям координат.
# Известны координаты левого нижнего угла каждого из них и длины их сторон.
# Один из прямоугольников назовем первым, другой — вторым.
# Найти координаты левого нижнего и правого верхнего углов минимального прямоугольника, содержащего указанные прямоугольники.

def coord_lower_left_corner(x1, y2):
    x0 = x1
    y0 = y2
    return x0, y0


def coord_top_right_corner(x2, b2, a1, y1):
    x3 = x2 + b2
    y3 = a1 + y1
    return x3, y3


if __name__ == '__main__':
    a1 = float(input('Введите первую сторону первого прямоугольника a1: '))
    while a1 <= 0:
        print('Введите положительное ненулевое число')
        a1 = float(input('Введите первую сторону первого прямоугольника a1: '))

    b2 = float(input('Введите вторую сторону второго прямоугольника b2: '))
    while b2 <= 0:
        print('Введите положительное ненулевое число')
        b2 = float(input('Введите вторую сторону второго прямоугольника b2: '))

    x1 = float(input('Введите координату по оси X левого нижнего угла первого прямоугольника x1: '))
    while x1 <= 0:
        print('Введите положительное ненулевое число')
        x1 = float(input('Введите координату по оси X левого нижнего угла первого прямоугольника x1: '))

    y1 = float(input('Введите координату по оси Y левого нижнего угла первого прямоугольника y1: '))
    while y1 <= 0:
        print('Введите положительное ненулевое число')
        y1 = float(input('Введите первую сторону первого прямоугольника первого прямоугольника y1: '))

    x2 = float(input('Введите координату по оси X левого нижнего угла второго прямоугольника x2: '))
    while x2 <= 0:
        print('Введите положительное ненулевое число')
        x2 = float(input('Введите координату по оси X левого нижнего угла второго прямоугольника x2: '))

    y2 = float(input('Введите координату по оси Y левого нижнего угла второго прямоугольника y2: '))
    while y2 <= 0:
        print('Введите положительное ненулевое число')
        y2 = float(input('Введите первую сторону первого прямоугольника второго прямоугольника y2: '))

    x0, y0 = coord_lower_left_corner(x1, y2)
    x3, y3 = coord_top_right_corner(x2, b2, a1, y1)
    print(f'Координаты левого нижнего угла минимального прямоугольник = ({x0},{y0})')
    print(f'Координаты правого верхнего угла минимального прямоугольник = ({x3},{y3})')
